public class Hello {

	private static void writeHello(int n) {
		System.out.println("Hello World "+ n +" from Java");
	}

	private static native void writeHelloWorldToStdout(int k);
	
	public static void main(String[] args) {
		int n = 1;
		
		writeHello(n);
		n++;
		System.loadLibrary("Hello");
		writeHelloWorldToStdout(n);
		
		// Next "writeHello()" does not work. Why?
		// It seems a conflict between the two IO systems, but the native function works properly
		writeHello(n);
	}
}
